/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.entity;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.objectweb.jonas.jtests.util.JTestCase;

/**
 * This test suites are specific to entity beans.
 * Chapters 9, 10,11,12 and 14 of the spec are concerned.
 * This suite run all suites found in this directory.
 * Beans used: annuaire, ebasic
 * @author Philippe Coq, Philippe Durieux (jonas team)
 */
public class C_entity extends JTestCase {

    public C_entity(String name) {
        super(name);
    }

    public static Test suite() {
        TestSuite suite = new TestSuite();
        suite.addTest(C_BasicHomeInterface.suite());
        suite.addTest(C_AdvancedHomeEC.suite());
        suite.addTest(F_Inherit.suite());
        suite.addTest(F_IsModified.suite());
        suite.addTest(C_Isolation.suite());
        suite.addTest(C_VariousPK.suite());
        suite.addTest(C_Relation.suite());
        suite.addTest(C_EtypeEC.suite());
        suite.addTest(C_EtypeEC2.suite());
        suite.addTest(C_Ejbql.suite());
        suite.addTest(F_ConEnlist.suite());
        suite.addTest(C_Handle.suite());
        suite.addTest(F_Dass.suite());
        suite.addTest(F_MultiRelation.suite());
        return suite;
    }

    public static void main (String args[]) {
        junit.textui.TestRunner.run(suite());
    }
}
